import { OnInit } from '@angular/core';
import { TableHeaderController } from '@lightweightform/core';
import { TableComponent } from '../table.component';
import { TableColumnDirective } from './table-column.directive';
export declare const SELECTION_COLUMN_WIDTH: number;
export declare class TableHeaderComponent extends TableHeaderController<TableComponent, TableColumnDirective> implements OnInit {
    readonly isEditable: boolean;
    readonly tableIsEmpty: boolean;
    readonly verticalScrollbarWidth: number;
    numberOfColumnsWithSelection(includeScrollbarColumn: boolean): number;
    tableMinWidthWithSelection(includeScrollbarColumn: boolean): number;
    tableMaxWidthWithSelection(includeScrollbarColumn: boolean): number;
    columnWidthsWithSelection(includeScrollbarColumn: boolean): string[];
    readonly allRowsSelected: boolean;
    readonly noRowsSelected: boolean;
    toggleAllRowsSelectedStatus(): void;
}
