import { EventEmitter } from '@angular/core';
export interface FieldComponentCommon {
    code?: string;
    help?: string;
    legend?: string;
    onFocus: EventEmitter<void>;
    onBlur: EventEmitter<void>;
    _onFocus(evt?: any): void;
    _onBlur(evt?: any): void;
}
export declare type Constructor<T> = new (...args: any[]) => T;
export declare function FieldComponent<C extends Constructor<{}>>(valueControllerConstructor: C): C & Constructor<FieldComponentCommon>;
